(defun c:cloud (/ *error* plw pt1 pt2 p1 p2 xdist ydist spcsx spcsy ent1 ent2 nxt info bulge data c_o c_l)
 (defun *error* (msg)
   (setvar "osmode" c_o)
   (setvar "clayer" c_l)
 ) 
 (print ">> Cloud Draw Tool...")
              (setq c_o (getvar "osmode"))
 (setvar "cmdecho" 0)
 (setvar "osmode" 0)
              (setq c_l (getvar "clayer")) ;<=  ̾ Ѵ.
              (setq ly (tblsearch "layer" "Revision")) ;"̾ ˻  ̾ 
              (if (= ly nil) (command "layer" "n" "text" ""))
              (setvar "clayer" "text") ;<=  ̾ Ѵ.
 (if (= ds nil)
   (setq ds 10)
 )
 (setq plw (* 2 ds)
       oer *error*
       bm (getvar "blipmode")) 
 (print)                                            ; ------------> circle size 
 (setq str (strcat "ȣ <" (rtos ds 2) "> : "))
 (setq  buf (getint str)) 
 (if (= buf NIL)
   (setq buf ds)
   (setq ds buf)
 )
	(or #acwid (setq #acwid 0))
	(setq #acwid
       (cond 
									((getreal(strcat "\nβ <"(rtos #acwid 2 2)"> : ")))
									(#acwid)
							)
	)
	
 (defun *error* (s)      ;start error routine
  (setvar "blipmode" bm)     ;reset blipmode
  (princ (strcat "\Exit..." s))    ;type error message
  (if oer (setq *error* oer))
  (princ))
 (print)
 (SETQ PT1 (GETPOINT "  ϴ: ")) (terpri)
 (setq pt2 (getcorner pt1 "  : "))
 (setvar "blipmode" 0)
 (setq p1 (car pt1) p2 (car pt2)    ;find x distances
  xdist (- p2 p1))
 (setq  p1 (cadr pt1) p2 (cadr pt2)    ;find y distances
  ydist (- p2 p1))

;******TO ADJUST SPACING OF ARCS CHANGE THE NUMBER 2 IN THE NEXT TWO LINES*****
 (setq spcsx (/ (abs xdist) (/ (* ds (getvar "dimscale")) 2))    ;X spacing
  spcsy (/ (abs ydist) (/ (* ds (getvar "dimscale")) 2)))    ;Y spacing
   
 (if (= spcsx (fix spcsx)) (setq spcsx (fix spcsx)) (setq spcsx (+ 1 (fix spcsx))))
 (if (= spcsx 1) (setq spcsx 2))     ;min of 2 spaces
 (if (= spcsy (fix spcsy)) (setq spcsy (fix spcsy)) (setq spcsy (+ 1 (fix spcsy))))
 (if (= spcsy 1) (setq spcsy 2))     ;min of 2 spaces
 
 (setq xdist (/ xdist spcsx) ydist (/ ydist spcsy))  ;set distances

 (setq p1 (list(car pt2)(cadr pt1)))       ;set polyline start point
 
 (command "PLINE" p1 "W" #acwid "")     ;start polyline command
 (repeat spcsx       ;draw bottom line segments
  (setq p1 (polar p1 0.0 (abs xdist)))
  (command p1))
 (repeat spcsy       ;draw Right line segments
  (setq p1 (polar p1 1.5708  (abs ydist)))
  (command p1))
 (repeat spcsx       ;draw top line segments
  (setq p1 (polar p1 pi (abs xdist)))
  (command p1))
 (repeat (- spcsy 1)  ;draw Left line segments
  (setq p1 (polar p1 4.71239 (abs ydist)))             
  (command p1))
 (command "C")       ;Close polyline

 (setq ent1 (entlast)      ;get entity
  ent2 (entget ent1)     ;get entity info
;******TO ADJUST THE ARC SIZE ADJUST THE 0.5 BELOW*******   
  bulge (list (cons 42 0.5))    ;build cloud arcs   0.5
  nxt (cdr (assoc -1 ent2))    ;set for lookup
  nxt (entnext nxt)     ;get next one
  plw (list (cons 41 plw)))    ;build cloud width

 (if (= nxt nil)
  (progn
   (setq ent2 (subst (cons 42 0.5) (assoc 42 ent2) ent2))
   (entmod ent2)       ;modify entity
  )
  (while nxt       ;start loop
   (setq info (entget nxt)    ;get exist. info
    info (append info bulge)   ;set bulge
    info (append info plw)    ;set width
   )       ;end of setq
   (entmod info)       ;modify entity
   (setq nxt (entnext nxt))    ;get next segment
  )        ;end of while
 )
 (entupd ent1)       ;update entity

 (setvar "blipmode" bm)      ;reset blipmode
 (setvar "cmdecho" 1)      ;turn command echo on
              (setvar "osmode" c_o)
              (setvar "clayer" c_l) ;<=    ̾ Ѵ.
 (gc) (princ)       ;print blank line
)          ;End program
 